libzypp 17.37.10

zyppng::repo::DownloadContext< ContextRefType > Class Template Reference

`#include <zypp/ng/repo/downloader.h>`

Inheritance diagram for zyppng::repo::DownloadContext< ContextRefType >:

## Public Types
using | PluginRepoverification = zypp_private::repo::PluginRepoverification
using | ContextType = typename ContextRefType::element_type
using | ProvideType = typename ContextType::ProvideType
using | MediaHandle = typename ProvideType::MediaHandle
Public Types inherited from zyppng::CacheProviderContext< ContextRefType >
using | ContextRefType
using | ContextType
using | ProvideType
using | MediaHandle
Public Types inherited from zyppng::Base
using | Ptr = std::shared_ptr<Base>
using | WeakPtr = std::weak_ptr<Base>

## Public Member Functions
| DownloadContext (ContextRefType zyppContext, const zypp::RepoInfo &info, const zypp::Pathname &destDir)
const zypp::RepoInfo & | repoInfo () const
const zypp::Pathname & | deltaDir () const
zypp::RepoInfo & | repoInfo ()
std::vector< zypp::ManagedFile > & | files ()
const std::optional< PluginRepoverification > & | pluginRepoverification () const
void | setPluginRepoverification (std::optional< PluginRepoverification > pluginRepoverification_r)
void | setNoPluginRepoverification ()
void | setDeltaDir (const zypp::Pathname &newDeltaDir)
Public Member Functions inherited from zyppng::CacheProviderContext< ContextRefType >
| ZYPP_DECL_PRIVATE_CONSTR_ARGS (CacheProviderContext, ContextRefType zyppContext, zypp::Pathname destDir)
const ContextRefType & | zyppContext () const
const zypp::Pathname & | destDir () const
void | addCacheDir (const zypp::Pathname &p)
const std::vector< zypp::Pathname > & | cacheDirs () const
Public Member Functions inherited from zyppng::Base
| Base ()
virtual | ~Base ()
WeakPtr | parent () const
void | addChild (const Base::Ptr &child)
void | removeChild (const Ptr &child)
const std::unordered_set< Ptr > & | children () const
std::thread::id | threadId () const
template<typename T>
std::vector< std::weak_ptr< T > > | findChildren () const
template<typename T>
std::shared_ptr< T > | shared_this () const
template<typename T>
std::shared_ptr< T > | shared_this ()
template<typename T>
std::weak_ptr< T > | weak_this () const
template<typename T>
std::weak_ptr< T > | weak_this ()
template<typename SenderFunc, typename ReceiverFunc>
auto | connect (SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
std::enable_if_t< std::is_member_function_pointer_v< SenderFunc >, connection > | connectFunc (SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)

## Private Attributes
zypp::RepoInfo | _repoinfo
zypp::Pathname | _deltaDir
std::vector< zypp::ManagedFile > | _files
| Files downloaded.
std::optional< PluginRepoverification > | _pluginRepoverification

## Additional Inherited Members
Static Public Member Functions inherited from zyppng::Base
template<typename Obj, typename Functor>
static decltype(auto) | make_base_slot (Obj *o, Functor &&f)
template<typename SenderFunc, typename ReceiverFunc>
static auto | connect (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
static auto | connectFunc (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
Protected Member Functions inherited from zyppng::CacheProviderContext< ContextRefType >
| ZYPP_ADD_PRIVATE_CONSTR_HELPER ()
Protected Member Functions inherited from zyppng::Base
| Base (BasePrivate &dd)
Protected Attributes inherited from zyppng::CacheProviderContext< ContextRefType >
ContextRefType | _zyppContext
zypp::Pathname | _destDir
std::vector< zypp::Pathname > | _cacheDirs
Protected Attributes inherited from zyppng::Base
std::unique_ptr< BasePrivate > | d_ptr

## Detailed Description

template<class ContextRefType>
class zyppng::repo::DownloadContext< ContextRefType >

Definition at line 35 of file downloader.h.

## Member Typedef Documentation

## ◆ PluginRepoverification

template<class ContextRefType>

using zyppng::repo::DownloadContext< ContextRefType >::PluginRepoverification = zypp_private::repo::PluginRepoverification

Definition at line 39 of file downloader.h.

## ◆ ContextType

template<class ContextRefType>

using zyppng::repo::DownloadContext< ContextRefType >::ContextType = typename ContextRefType::element_type

Definition at line 40 of file downloader.h.

## ◆ ProvideType

template<class ContextRefType>

using zyppng::repo::DownloadContext< ContextRefType >::ProvideType = typename ContextType::ProvideType

Definition at line 41 of file downloader.h.

## ◆ MediaHandle

template<class ContextRefType>

using zyppng::repo::DownloadContext< ContextRefType >::MediaHandle = typename ProvideType::MediaHandle

Definition at line 42 of file downloader.h.

## Constructor & Destructor Documentation

## ◆ DownloadContext()

template<class ContextRefType>

zyppng::repo::DownloadContext< ContextRefType >::DownloadContext | ( | ContextRefType | zyppContext,
|  | const zypp::RepoInfo & | info,
|  | const zypp::Pathname & | destDir )

Definition at line 31 of file downloader.cc.

## Member Function Documentation

## ◆ repoInfo() [1/2]

template<class ContextRefType>

const zypp::RepoInfo & zyppng::repo::DownloadContext< ContextRefType >::repoInfo | ( |  | ) | const

Definition at line 37 of file downloader.cc.

## ◆ deltaDir()

template<class ContextRefType>

const zypp::filesystem::Pathname & zyppng::repo::DownloadContext< ContextRefType >::deltaDir | ( |  | ) | const

Definition at line 40 of file downloader.cc.

## ◆ repoInfo() [2/2]

template<class ContextRefType>

zypp::RepoInfo & zyppng::repo::DownloadContext< ContextRefType >::repoInfo | ( |  | ) |

Definition at line 43 of file downloader.cc.

## ◆ files()

template<class ContextRefType>

std::vector< zypp::ManagedFile > & zyppng::repo::DownloadContext< ContextRefType >::files | ( |  | ) |

Definition at line 46 of file downloader.cc.

## ◆ pluginRepoverification()

template<class ContextRefType>

const std::optional< typename DownloadContext< ContextRefType >::PluginRepoverification > & zyppng::repo::DownloadContext< ContextRefType >::pluginRepoverification | ( |  | ) | const

Definition at line 49 of file downloader.cc.

## ◆ setPluginRepoverification()

template<class ContextRefType>

void zyppng::repo::DownloadContext< ContextRefType >::setPluginRepoverification | ( | std::optional< PluginRepoverification > | pluginRepoverification_r | ) |
| inline

Definition at line 54 of file downloader.h.

## ◆ setNoPluginRepoverification()

template<class ContextRefType>

void zyppng::repo::DownloadContext< ContextRefType >::setNoPluginRepoverification | ( |  | ) |
| inline

Definition at line 57 of file downloader.h.

## ◆ setDeltaDir()

template<class ContextRefType>

void zyppng::repo::DownloadContext< ContextRefType >::setDeltaDir | ( | const zypp::Pathname & | newDeltaDir | ) |

Definition at line 53 of file downloader.cc.

## Member Data Documentation

## ◆ _repoinfo

template<class ContextRefType>

zypp::RepoInfo zyppng::repo::DownloadContext< ContextRefType >::_repoinfo
| private

Definition at line 63 of file downloader.h.

## ◆ _deltaDir

template<class ContextRefType>

zypp::Pathname zyppng::repo::DownloadContext< ContextRefType >::_deltaDir
| private

Definition at line 64 of file downloader.h.

## ◆ _files

template<class ContextRefType>

std::vector<zypp::ManagedFile> zyppng::repo::DownloadContext< ContextRefType >::_files
| private

Files downloaded.

Definition at line 65 of file downloader.h.

## ◆ _pluginRepoverification

template<class ContextRefType>

std::optional<PluginRepoverification> zyppng::repo::DownloadContext< ContextRefType >::_pluginRepoverification
| private

See also
  plugin-repoverification

Definition at line 66 of file downloader.h.

The documentation for this class was generated from the following files:

- zypp/ng/repo/downloader.h
- zypp/ng/repo/downloader.cc